com.salesforce.datacloud.jdbc.http

## Class FormCommand

- java.lang.Object
- - com.salesforce.datacloud.jdbc.http.FormCommand

    public final class FormCommand
    extends Object

### Nested Class Summary

Nested Classes
`static class` `FormCommand.Builder`

### Field Summary

Fields
`static String` `CONTENT_TYPE_HEADER_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FormCommand.Builder` `builder()`
`boolean` `equals(Object o)`
`static <T> T` `get(@NonNull okhttp3.OkHttpClient client, @NonNull FormCommand command, Class<T> type)`
`Map<String,String>` `getBodyEntries()`
`Map<String,String>` `getHeaders()`
`Map<String,String>` `getQueryParameters()`
`@NonNull URI` `getSuffix()`
`@NonNull URI` `getUrl()`
`int` `hashCode()`
`static <T> T` `post(@NonNull okhttp3.OkHttpClient client, @NonNull FormCommand command, Class<T> type)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CONTENT_TYPE_HEADER_NAME

    public static final String CONTENT_TYPE_HEADER_NAME

See Also:
  Constant Field Values

### Method Detail

#### get

    public static <T> T get(@NonNull
                            @NonNull okhttp3.OkHttpClient client,
                            @NonNull
                            @NonNull FormCommand command,
                            Class<T> type)
                     throws SQLException

Throws:
  `SQLException`

#### post

    public static <T> T post(@NonNull
                             @NonNull okhttp3.OkHttpClient client,
                             @NonNull
                             @NonNull FormCommand command,
                             Class<T> type)
                      throws SQLException

Throws:
  `SQLException`

#### builder

    public static FormCommand.Builder builder()

#### getUrl

    @NonNull
    public @NonNull URI getUrl()

#### getSuffix

    @NonNull
    public @NonNull URI getSuffix()

#### getHeaders

    public Map<String,String> getHeaders()

#### getBodyEntries

    public Map<String,String> getBodyEntries()

#### getQueryParameters

    public Map<String,String> getQueryParameters()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`